*, *::after, *::before {
    box-sizing: border-box;
}

:root {
    font: 1.2em/1.4 Arial, Helvetica, sans-serif;
}

.container {
    max-width: 80rem;
    margin: 0 auto;
    padding: 0rem 1rem;
}

body {
    padding: 0 0 1em;
}


header {
    background-color: #333;
    color: #fff;
    border: 5px solid #000;
}

header ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

header a {
    color: #fff;
    text-decoration: none;
    display: block;
    padding: 0.5em 1em;
    border-top: 1px solid #999;
}

header .title {
    font-size: 150%;
    font-style: italic;
    font-weight: bold;
    padding: 1em;
}

main {
    padding: 0 1em;
}

.cards {
    list-style: none;
    margin: 0;
    padding: 0;
}

.cards li {
    border: 5px solid #000;
    margin-bottom: 1em;
}

.cards h2 {
    background-color: #333;
    color: #fff;
    margin: 0;
    padding: 0.5em 1em;
}

.cards .inner {
    padding: 0.5em 1em;
}

.sidebar {
    background-color: #333;
    border: 5px solid #000;
    padding: 0.5em 1em;
    color: #fff;
}

@media (min-width: 40em) {
    body{
        background-color: yellow;
    }
    header.container {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    nav ul {
        display: flex;

    }

    nav a {
        border: 0;
    }
    .cards {
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;
        li {
            flex: 0 1 16rem;
            flex: 0 1 calc(50% - 1rem);
        }

    }
    main{
        display: flex;
        gap: 1rem;
        margin-block-inline: 1rem;
        flex-wrap: wrap;
        article{
            flex: 1 1 50rem;
        }
        aside{
            flex: 0 0 19rem;
            margin-block-start: 1rem;
        }
    }
}
@media (min-width: 60em) {
    .cards li{
        flex: 0 1 calc(30% - 2rem);
    }
}